% concatenation of two matrices: matrix vector multiplication
%
% (c) by Hannes Nickisch, MPI for Biological Cybernetics, 2010 July 16

function y = mtimes(A,x)

  if A.ctransp
    nb = size(A.B,1);
    Bt = A.B'; Ct = A.C';
    y = Bt*x(1:nb) + Ct*x(nb+1:end);
  else
    y = [A.B*x; A.C*x];
  end