% 2d finite difference transform matrix: constructor
%
% A = fd2mat(sz,qmf,nl)
%
%  sz  [1,2]: size of the tensor to transform
%  qmf [1,p]: quadrature mirror filter, default is Haar qmf = [1,1]/sqrt(2)
%  nl  [1,1]: number of layers,         default is full nl
%
% (c) by Hannes Nickisch, MPI for Biological Cybernetics, 2010 July 15

function  A = fd2mat(sz)

  imsz = sz(:)';  A.imsz = imsz;                                    % image size
  if numel(A.imsz)==1, A.imsz = [A.imsz,1]; end
  sz = prod(imsz)*[2,1];                                           % matrix size

  A.sz = sz; A.ctransp = 0; A = class(A,mfilename);                  % [generic]