% 2d partial FFT matrix: constructor
%
% A = fftmask2mat(sz,id,complex)
%
%  mask    [m,n]: indices to keep, default id=1:sz(1)
%  complex [1,1]: flag saying whether we have complex output, default is true
%
% (c) by Hannes Nickisch, MPI for Biological Cybernetics, 2010 July 15
%
% The transform is centered.

function A = fftmask2mat(mask,complex)

  A.mask = boolean(mask); A.imsz = size(A.mask);                    % image size
  sz = [sum(A.mask(:)),prod(A.imsz)];                              % matrix size
  if nargin>1
    A.complex = boolean(complex(1));
  else
    A.complex = true;
  end
  A.sz = sz; A.ctransp = 0; A = class(A,mfilename);                  % [generic]