% [p,dp,d2p] = penLog(s,nu) - Logarithmic penalty
%  
% pen(s) = log(s^2+nu), default nu=1
%
%   See also PENFUNCTIONS.M.
% (c) by Hannes Nickisch, MPI for Biological Cybernetics, 2010 August 09

function [p,dp,d2p] = penLog(s,nu)

if nargin<2, nu = 1; end                                               % default
a = s.*s+nu; p = log(a);                                               % penalty
dp  = 2*s./a;                                                 % first derivative
d2p = 2*(2*nu./a - 1)./a;                                    % second derivative